Skip to main content
GET
/
v1
/
responses
/
{id}
/
input_items
List response input items
curl --request GET \
  --url https://gomodel.example.com/v1/responses/{id}/input_items \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "arguments": "<string>",
      "call_id": "<string>",
      "content": "<string>",
      "name": "<string>",
      "output": "<string>",
      "role": "<string>",
      "status": "<string>",
      "type": "<string>"
    }
  ],
  "first_id": "<string>",
  "has_more": true,
  "last_id": "<string>",
  "object": "<string>"
}

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

Response ID

Query Parameters

provider
string

Provider override for native lookups

after
string

Pagination cursor

include
string[]

Fields to include in listed input items

include[]
string[]

Fields to include in listed input items

limit
integer

Maximum items to return (1-100, default 20)

order
enum<string>

Sort order: asc or desc

Available options:
asc,
desc

Response

OK

data
object[]
first_id
string
has_more
boolean
last_id
string
object
string